SDL_ISPIXELFORMAT_INDEXED(3)

NAME
SDL_ISPIXELFORMAT_INDEXED - A macro to determine if an SDL_PixelFormat is an indexed format.

SYNOPSIS
#include <SDL3/SDL_pixels.h>

#define SDL_ISPIXELFORMAT_INDEXED(format)   \
    (!SDL_ISPIXELFORMAT_FOURCC(format) && \
     ((SDL_PIXELTYPE(format) == SDL_PIXELTYPE_INDEX1) || \
      (SDL_PIXELTYPE(format) == SDL_PIXELTYPE_INDEX2) || \
      (SDL_PIXELTYPE(format) == SDL_PIXELTYPE_INDEX4) || \
      (SDL_PIXELTYPE(format) == SDL_PIXELTYPE_INDEX8)))

DESCRIPTION
Note that this macro double-evaluates its parameter, so do not use expressions with side-effects here.

MACRO PARAMETERS

format
    an SDL_PixelFormat to check.

RETURN VALUE
Returns true if the format is indexed, false otherwise.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.